Package ghidra.program.util

# Class FunctionTagFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionTagFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FunctionTagFieldLocation extends FunctionLocation
Provides information about the location of an object that represents the tag names assigned to a function.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionTagFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionTagFieldLocation(Program program, Address locationAddr, Address functionAddr, String tags, int charOffset)`
  Construct a new FunctionTagFieldLocation object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this function location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this function location to the given save state object.
  `String`
  `toString()`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionTagFieldLocation

    public FunctionTagFieldLocation(Program program, Address locationAddr, Address functionAddr, String tags, int charOffset)
    Construct a new FunctionTagFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `tags` - the function tag field text.
      `charOffset` - the character position within the field

  - ### FunctionTagFieldLocation

    public FunctionTagFieldLocation()
    Default constructor needed for restoring a program location from XML

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ProgramLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `FunctionLocation`
    See Also:
      - `Object.equals(java.lang.Object)`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FunctionLocation`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `FunctionLocation`
    Save this function location to the given save state object.
    Overrides:
      `saveState` in class `FunctionLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `FunctionLocation`
    Restore this function location using the given program and save state object.
    Overrides:
      `restoreState` in class `FunctionLocation`
    Parameters:
      `p` - the program containing the function location
      `obj` - the save state object for saving the location